Get Multiple Users by Usernames
Retrieve detailed profile information for multiple Twitter users by their usernames or profile URLs, $0.05/1000 users. The maximum input quantity is limited by your plan’s QPS. To pass larger input quantity limits, upgrade your plan to get higher QPS.
Back to API Reference
/Users Endpoints
POST
/twitter/usersAuthorization
AuthorizationBearer token · headerrequiredGlobal API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/jsonArray of
stringstringResponses
200A list of user profile objects. Unfound users are represented by `null`.
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobject⚡Interactive ConsolePOST
⚡Interactive Console / Try APIPOSTLive Console
🌐Target Server:
https://api.twexapi.io● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)
This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.
🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet
Configure parameters in the Request tab and click Send Request below.
Request
curl -X POST "https://api.twexapi.io/twitter/users" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '[
"elonmusk",
"sundarpichai"
]'const response = await fetch("https://api.twexapi.io/twitter/users", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify([
"elonmusk",
"sundarpichai"
])
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/users",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json=[
"elonmusk",
"sundarpichai"
],
)Response
A list of user profile objects. Unfound users are represented by `null`.
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}